<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.rb@287C</action>
      <action>temp1 =maincpu.rb@2B74</action>
      <action>temp2 =maincpu.rb@2844</action>
    </script>
    <script state="run">
      <action>maincpu.rb@287C=18</action>
      <action>maincpu.rb@2B74=C9</action> <!-- Pt 1 Ships, Pt 2 Bullets -->
      <action>maincpu.rb@2844=18</action> <!-- End of Level -->
    </script>
    <script state="off">
      <action>maincpu.rb@287C=temp0 </action>
      <action>maincpu.rb@2B74=temp1 </action>
      <action>maincpu.rb@2844=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action condition="(maincpu.pb@6647 LT A8) OR (maincpu.pb@6647 GT B8)">maincpu.pb@6647=B8</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@6661=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@6663=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
